Skip to main content
GET
Read a task, including legacy tasks without a publish job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

kind
enum<string>
required
Available options:
tiktok_shop_video,
tiktok_shop_photo
task_id
string
required
Pattern: ^[1-9][0-9]*$

Response

Result

task_id
string
required
publish_job_id
string | null
required
kind
enum<string>
required
Available options:
tiktok_shop_video,
tiktok_shop_photo
connection_uid
string
required
client_source
string | null
required
status
enum<string>
required
Available options:
queued,
scheduled,
running,
succeeded,
failed,
unknown,
canceled
created_at
integer
required
cost
object
required
raw_status
string
schedule_time
integer | null
completed_at
integer | null
result
object
error
object | null